Kerbal Space Program - Bug #18597

Several normal maps have missing / wrong horizontal channel information
04/17/2018 09:28 PM - SamHall
Description

Description:

Several normal map textures, mostly in the GameData\Squad\Spaces folder, were exported wrong when they were converted to .dds
and have had entire color channels accidentally overwritten with nonsense data.

A DXT5nm map is supposed to store vertical offset data in the green channel and horizontal offset data in the alpha channel, but
instead you've got duplicate copies of JUST the vertical data in all four channels of the image. This doesn't give you a working
normal map; it leaves fine details on your material looking oddly squashed and 1-dimensional.

See the attached example.png for an illustration of exactly what's gone wrong. Also, Nvidia's "windows texture viewer" tool can be
used to examine .dds images and look at their channels individually.

http://www.nvidia.com/object/windows_texture_viewer.html

Here's a list of all broken normal maps I've been able to identify:

GameData\Squad\Spaces\cupolalnternal\ksp_|_cupola_internal_normal.dds
GameData\Squad\Spaces\PodCockpit\imodel002.dds
GameData\Squad\Spaces\landerCabinInternals\model001.dds
GameData\Squad\Spaces\GenericSpace3\model005.dds
GameData\Squad\Spaces\GenericSpace1\model002.dds
GameData\Squad\Spaces\landerCabinSmallinternal\ksp_s_landerCan_internal_normal.dds
GameData\Squad\Spaces\crewCabinlnternals\model002.dds
GameData\Squad\Parts\FuelTank\RockomaxTanks\rockomax_16 [Normal] BW.dds
GameData\SquadExpansion\MakingHistory\Parts\Structural\Assets\NormalMap.dds
GameData\SquadExpansion\MakingHistory\Parts\Structural\Assets\Panels_Dark_NM.dds
GameData\SquadExpansion\MakingHistory\Parts\Structura\Assets\Panels_Gold_NM.dds

(note: several of these are redundant duplicates of one another, and may or may not actually be loaded / used in the game)

Suggested remedy:

The affected normal maps need to be re-exported the right way, from non-broken versions of their original assets. | was able to
mostly fix the problem on MY end by going back to my old KSP 0.90 install and converting .mbm files manually (see attached
screenshots for before-and-after comparison). Also there was a .png version of the Rockomax tank textures in 1.4.0 that wasn't
wrecked yet. | can't do anything about the ones in the Making History expansion though; there's no good version of those publicly
available that | know of. Any fix for those is going to have to come from Squad, hopefully before the original assets get lost or
deleted.

Related issues:
Related to Kerbal Space Program - Bug #18712: Panels from Making History have... Being Worked 04/27/2018

History

#1 - 04/17/2018 11:09 PM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

Thank you for your comprehensive report. This has been forwarded to the devs.

#3 - 04/20/2018 08:57 PM - PaulAmsterdam
- Status changed from Investigating to Being Worked On
http://www.nvidia.com/object/windows_texture_viewer.html

- % Done changed from 20 to 30

#4 - 04/30/2018 09:54 AM - Squelch
- Related to Bug #18712: Panels from Making History have broken shading. added

#5 - 06/24/2021 10:59 PM - victorr
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.12.0

- % Done changed from 30 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
